Package org.eclipse.graphiti.func

# Interface IResizeShape

All Known Subinterfaces:
  `IPattern`, `IResizeShapeFeature`

All Known Implementing Classes:
  `AbstractPattern`, `DefaultResizeShapeFeature`, `IdPattern`, `ResizeShapeFeatureForPattern`, `TypedPattern`

public interface IResizeShape
The Interface IResizeShape.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canResizeShape(IResizeShapeContext context)`
Can resize shape.
`void`
`resizeShape(IResizeShapeContext context)`
Resize shape.

## Method Details

### canResizeShape

boolean canResizeShape(IResizeShapeContext context)
Can resize shape.

Parameters:
  `context` - the context
Returns:
  true, if successful

### resizeShape

void resizeShape(IResizeShapeContext context)
Resize shape.

Parameters:
  `context` - the context